function [x, y, z, t] = readppd ( fn )

xDoc = xmlread( fn );

xv = xDoc.getElementsByTagName('x');
yv = xDoc.getElementsByTagName('y');
zv = xDoc.getElementsByTagName('z');
tv = xDoc.getElementsByTagName('datetime');
n = xv.getLength / 2.0;

x = zeros(1,n);
y = zeros(1,n);
z = zeros(1,n);
t = zeros(1,n);

for ii = 0:n-1
    x(ii+1) = double( str2num(xv.item(ii*2).getTextContent.toString ));
    y(ii+1) = double( str2num(yv.item(ii*2).getTextContent.toString ));
    z(ii+1) = double( str2num(zv.item(ii*2).getTextContent.toString ));
    t(ii+1) = double( str2num(tv.item(ii).getTextContent.toString ));
end

end

    